net.sourceforge.pmd.jaxen

## Class MatchesFunctionTest.MyNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.jaxen.MatchesFunctionTest.MyNode

All Implemented Interfaces:
  Node

Enclosing class:
  MatchesFunctionTest

    public static class MatchesFunctionTest.MyNode
    extends AbstractNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`MatchesFunctionTest.MyNode()`

### Method Summary

Methods
`String` `getClassName()`
`void` `setClassName(String className)`
`String` `toString()`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtClose, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MatchesFunctionTest.MyNode

    public MatchesFunctionTest.MyNode()

### Method Detail

#### toString

    public String toString()

Specified by:
  `toString` in class `AbstractNode`

#### setClassName

    public void setClassName(String className)

#### getClassName

    public String getClassName()